Intermittent Layers.TextureYCbCrSerialization | SEH exception with code 0xc0000005 thrown in the test body. @ (null):-1

RESOLVED FIXED in Firefox 51

Status

()

RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: aryx, Assigned: pchang)

Tracking

({intermittent-failure})

unspecified
mozilla53
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox51 fixed, firefox52 fixed, firefox53 fixed)

Details

(Whiteboard: [gfx-noted])

Attachments

(1 attachment)

https://treeherder.mozilla.org/logviewer.html#?job_id=39118039&repo=mozilla-inbound

11:33:17     INFO -  TEST-START | Layers.TextureYCbCrSerialization
11:33:17  WARNING -  TEST-UNEXPECTED-FAIL | Layers.TextureYCbCrSerialization | SEH exception with code 0xc0000005 thrown in the test body. @ (null):-1
11:33:17  WARNING -  TEST-UNEXPECTED-FAIL | Layers.TextureYCbCrSerialization | test completed (time: 1ms)
(Assignee)

Comment 1

2 years ago
Maybe this is related to bug 1311644. Checking.
Assignee: nobody → howareyou322
Whiteboard: [gfx-noted]
Comment hidden (mozreview-request)
(Assignee)

Comment 3

2 years ago
In bug 1311644, I added sleep in gtest to wait for IPDL connection but it might have chances that IPDL connection was still not available in window 7 VM. I added the loop to check IPDL connection and got the good try result in the following link.

https://treeherder.mozilla.org/#/jobs?repo=try&revision=7fe39defbda6332162e84f8cff54ed0ae1780efc
33 failures in 715 pushes (0.046 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 17
* autoland: 11
* mozilla-central: 3
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* windows7-32-vm: 33

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317083&startday=2016-11-14&endday=2016-11-20&tree=all

Comment 5

2 years ago
mozreview-review
Comment on attachment 8811148 [details]
Bug 1317083 - Try to wait for IPDL connection  before texture client creation,

https://reviewboard.mozilla.org/r/93364/#review94494

If after the 5 retries the ImageBridge is not up I'd rather skip the test than run it with an invalid ImageBridge. This is super hacky so please add a comment explaining why we do the loop with Sleep(1).
Attachment #8811148 - Flags: review?(nical.bugzilla) → review+
Comment hidden (mozreview-request)

Comment 7

2 years ago
Pushed by pchang@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5ac0fb38b650
Try to wait for IPDL connection  before texture client creation, r=nical

Comment 8

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/5ac0fb38b650
Status: NEW → RESOLVED
Last Resolved: 2 years ago
status-firefox53: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla53
status-firefox52: --- → affected
43 failures in 623 pushes (0.069 failures/push) were associated with this bug in the last 7 days. 

This is the #33 most frequent failure this week. 

Repository breakdown:
* autoland: 13
* mozilla-inbound: 12
* mozilla-central: 8
* mozilla-aurora: 6
* try: 4

Platform breakdown:
* windows7-32-vm: 42
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1317083&startday=2016-11-21&endday=2016-11-27&tree=all
status-firefox51: --- → affected

Comment 10

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/fcd21d218a25
status-firefox52: affected → fixed
Flags: in-testsuite+

Comment 11

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/0742e181e22f
status-firefox51: affected → fixed
You need to log in before you can comment on or make changes to this bug.